## open5gs 2.6.5

=== debian/changelog ===
open5gs (2.6.5) unstable; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:59:36 +0900

open5gs (2.6.5~lunar) lunar; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:56:38 +0900

open5gs (2.6.5~jammy) jammy; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:53:19 +0900

open5gs (2.6.5~focal) focal; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:51:35 +0900

open5gs (2.6.5~bionic) bionic; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:48:37 +0900
