## open5gs 2.6.6

=== debian/changelog ===
open5gs (2.6.6) unstable; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 21:02:46 +0900

open5gs (2.6.6~lunar) lunar; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 21:00:28 +0900

open5gs (2.6.6~jammy) jammy; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:47:26 +0900

open5gs (2.6.6~focal) focal; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:45:45 +0900

open5gs (2.6.6~bionic) bionic; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:43:30 +0900
