## open5gs 2.7.0.8.8c01f.202312152026

=== debian/changelog ===
open5gs (2.7.0.8.8c01f.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:27:37 +0000
