## open5gs 2.7.0.11.4eb4.202312182026

=== debian/changelog ===
open5gs (2.7.0.11.4eb4.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:27:35 +0000
