## open5gs 2.7.0.23.ea77.202312222026

=== debian/changelog ===
open5gs (2.7.0.23.ea77.202312222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 22 Dec 2023 20:27:30 +0000
