## open5gs 2.7.0.26.6cb20.202312242026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 24 Dec 2023 20:27:31 +0000
