## open5gs 2.7.0.26.6cb20.202312262026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 26 Dec 2023 20:27:34 +0000
