## open5gs 2.7.0.26.6cb20.202312272026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 27 Dec 2023 20:27:32 +0000
