## open5gs 2.7.0.27.5d264.202312282026

=== debian/changelog ===
open5gs (2.7.0.27.5d264.202312282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 28 Dec 2023 20:27:33 +0000
