## open5gs 2.7.0.28.0b93.202312302026

=== debian/changelog ===
open5gs (2.7.0.28.0b93.202312302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 30 Dec 2023 20:27:29 +0000
