## open5gs 2.7.0.29.f0de3.202312312026

=== debian/changelog ===
open5gs (2.7.0.29.f0de3.202312312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 31 Dec 2023 20:27:35 +0000
