## open5gs 2.7.0.29.f0de3.202401012026

=== debian/changelog ===
open5gs (2.7.0.29.f0de3.202401012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 01 Jan 2024 20:27:32 +0000
