## open5gs 2.7.0.30.7d9f6.202401022026

=== debian/changelog ===
open5gs (2.7.0.30.7d9f6.202401022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 02 Jan 2024 20:27:31 +0000
