## open5gs 2.7.0.34.ad21.202401032026

=== debian/changelog ===
open5gs (2.7.0.34.ad21.202401032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 03 Jan 2024 20:27:32 +0000
