## open5gs 2.7.0.36.27d2f8.202401042026

=== debian/changelog ===
open5gs (2.7.0.36.27d2f8.202401042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Jan 2024 20:27:30 +0000
