## open5gs 2.7.0.38.b1515.202401052026

=== debian/changelog ===
open5gs (2.7.0.38.b1515.202401052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 05 Jan 2024 20:27:31 +0000
