## open5gs 2.7.0.43.7d60b13.202401062026

=== debian/changelog ===
open5gs (2.7.0.43.7d60b13.202401062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 06 Jan 2024 20:27:31 +0000
