## open5gs 2.7.0.43.7d60b13.202401072026

=== debian/changelog ===
open5gs (2.7.0.43.7d60b13.202401072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 07 Jan 2024 20:27:33 +0000
