## open5gs 2.7.0.47.be13.202401092026

=== debian/changelog ===
open5gs (2.7.0.47.be13.202401092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 09 Jan 2024 20:27:32 +0000
