## open5gs 2.7.0.50.84569c.202401102026

=== debian/changelog ===
open5gs (2.7.0.50.84569c.202401102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 10 Jan 2024 20:27:34 +0000
