## open5gs 2.7.0.50.84569c.202401112026

=== debian/changelog ===
open5gs (2.7.0.50.84569c.202401112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 11 Jan 2024 20:27:37 +0000
