## open5gs 2.7.0.53.b0cf9.202401142026

=== debian/changelog ===
open5gs (2.7.0.53.b0cf9.202401142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 14 Jan 2024 20:27:31 +0000
