## open5gs 2.7.0.53.b0cf9.202401152026

=== debian/changelog ===
open5gs (2.7.0.53.b0cf9.202401152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 15 Jan 2024 20:27:33 +0000
