## open5gs 2.7.0.57.52be.202401162026

=== debian/changelog ===
open5gs (2.7.0.57.52be.202401162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 16 Jan 2024 20:27:30 +0000
