## open5gs 2.7.0.59.6069.202401172026

=== debian/changelog ===
open5gs (2.7.0.59.6069.202401172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 17 Jan 2024 20:27:39 +0000
