## open5gs 2.7.0.60.97e1b.202401192026

=== debian/changelog ===
open5gs (2.7.0.60.97e1b.202401192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 19 Jan 2024 20:27:37 +0000
