## open5gs 2.7.0.61.d7b89.202401202026

=== debian/changelog ===
open5gs (2.7.0.61.d7b89.202401202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 20 Jan 2024 20:27:35 +0000
