## open5gs 2.7.0.63.2583f.202401212026

=== debian/changelog ===
open5gs (2.7.0.63.2583f.202401212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 21 Jan 2024 20:27:35 +0000
