## open5gs 2.7.0.66.dcdfc.202401232026

=== debian/changelog ===
open5gs (2.7.0.66.dcdfc.202401232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Jan 2024 20:27:31 +0000
