## open5gs 2.7.0.66.dcdfc.202401242026

=== debian/changelog ===
open5gs (2.7.0.66.dcdfc.202401242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 24 Jan 2024 20:27:40 +0000
