## open5gs 2.7.0.70.3886.202401252026

=== debian/changelog ===
open5gs (2.7.0.70.3886.202401252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Jan 2024 20:27:32 +0000
