## open5gs 2.7.0.70.3886.202401262026

=== debian/changelog ===
open5gs (2.7.0.70.3886.202401262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Jan 2024 20:27:37 +0000
