## open5gs 2.7.0.74.88a7.202401272026

=== debian/changelog ===
open5gs (2.7.0.74.88a7.202401272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Jan 2024 20:27:33 +0000
