## open5gs 2.7.0.74.88a7.202401292026

=== debian/changelog ===
open5gs (2.7.0.74.88a7.202401292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Jan 2024 20:28:06 +0000
