## open5gs 2.7.0.75.93110d.202401302026

=== debian/changelog ===
open5gs (2.7.0.75.93110d.202401302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Jan 2024 20:27:38 +0000
