## open5gs 2.7.0.75.93110d.202402012026

=== debian/changelog ===
open5gs (2.7.0.75.93110d.202402012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 01 Feb 2024 20:27:31 +0000
