## open5gs 2.7.0.76.3f097.202402022026

=== debian/changelog ===
open5gs (2.7.0.76.3f097.202402022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 02 Feb 2024 20:27:38 +0000
