## open5gs 2.7.0.81.8762.202402032026

=== debian/changelog ===
open5gs (2.7.0.81.8762.202402032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 03 Feb 2024 20:27:34 +0000
