## open5gs 2.7.0.82.82398.202402042026

=== debian/changelog ===
open5gs (2.7.0.82.82398.202402042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 04 Feb 2024 20:27:35 +0000
