## open5gs 2.7.0.83.290df.202402052026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 05 Feb 2024 20:27:36 +0000
