## open5gs 2.7.0.83.290df.202402062026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 06 Feb 2024 20:27:33 +0000
