## open5gs 2.7.0.83.290df.202402072026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 07 Feb 2024 20:27:34 +0000
