## open5gs 2.7.0.84.94bd6.202402092026

=== debian/changelog ===
open5gs (2.7.0.84.94bd6.202402092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 09 Feb 2024 20:27:31 +0000
