## open5gs 2.7.0.85.843c49.202402142026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 14 Feb 2024 20:27:32 +0000
