## open5gs 2.7.0.85.843c49.202402152026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 15 Feb 2024 20:27:34 +0000
