## open5gs 2.7.0.85.843c49.202402162026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 16 Feb 2024 20:27:37 +0000
