## open5gs 2.7.0.86.41d89.202402172026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 17 Feb 2024 20:27:36 +0000
