## open5gs 2.7.0.86.41d89.202402192026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 19 Feb 2024 20:27:38 +0000
