## open5gs 2.7.0.86.41d89.202402212026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 21 Feb 2024 20:27:35 +0000
