## open5gs 2.7.0.86.41d89.202402222026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 22 Feb 2024 20:27:38 +0000
