=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 24 Feb 2024 20:27:34 +0000
