## open5gs 2.7.0.87.9a51.202402252026

=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 25 Feb 2024 20:27:38 +0000
