## open5gs 2.7.0.88.0dd2a.202402272026

=== debian/changelog ===
open5gs (2.7.0.88.0dd2a.202402272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 27 Feb 2024 20:27:35 +0000
