## open5gs 2.7.0.92.24b9.202402282026

=== debian/changelog ===
open5gs (2.7.0.92.24b9.202402282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 28 Feb 2024 20:27:35 +0000
