## open5gs 2.7.0.93.2ceca.202402292026

=== debian/changelog ===
open5gs (2.7.0.93.2ceca.202402292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 29 Feb 2024 20:27:32 +0000
