## open5gs 2.7.0.93.2ceca.202403012026

=== debian/changelog ===
open5gs (2.7.0.93.2ceca.202403012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 01 Mar 2024 20:27:35 +0000
