## open5gs 2.7.0.94.152b4.202403022026

=== debian/changelog ===
open5gs (2.7.0.94.152b4.202403022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 02 Mar 2024 20:27:35 +0000
