## open5gs 2.7.0.94.152b4.202403032026

=== debian/changelog ===
open5gs (2.7.0.94.152b4.202403032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 03 Mar 2024 20:27:37 +0000
