## open5gs 2.7.0.95.199f4.202403042026

=== debian/changelog ===
open5gs (2.7.0.95.199f4.202403042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 04 Mar 2024 20:27:39 +0000
