## open5gs 2.7.0.95.199f4.202403052026

=== debian/changelog ===
open5gs (2.7.0.95.199f4.202403052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 05 Mar 2024 20:27:40 +0000
