## open5gs 2.7.0.96.32271.202403062026

=== debian/changelog ===
open5gs (2.7.0.96.32271.202403062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 06 Mar 2024 20:27:34 +0000
