## open5gs 2.7.0.96.32271.202403072026

=== debian/changelog ===
open5gs (2.7.0.96.32271.202403072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 07 Mar 2024 20:27:57 +0000
