## open5gs 2.7.0.99.b31f.202403082026

=== debian/changelog ===
open5gs (2.7.0.99.b31f.202403082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 08 Mar 2024 20:27:35 +0000
