## open5gs 2.7.0.100.a1bd8.202403092026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 09 Mar 2024 20:27:34 +0000
