## open5gs 2.7.0.100.a1bd8.202403102026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 10 Mar 2024 20:27:36 +0000
