## open5gs 2.7.0.100.a1bd8.202403122026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 12 Mar 2024 20:27:35 +0000
